Get a transfer document
curl --request GET \
--url https://api.sandbox.trio.com.br/banking/cashout/transfer/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.sandbox.trio.com.br/banking/cashout/transfer/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.sandbox.trio.com.br/banking/cashout/transfer/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"amount": {
"amount": 100,
"currency": "BRL"
},
"bank_account_id": "018f9cb0-8d11-72dd-bb14-f82554e80999",
"description": "description",
"external_id": "external_id",
"from_virtual_account_id": "018f9cb0-8d11-72dd-bb14-f82554e80999",
"id": "018f9cb0-8d11-f5da-31a1-0c243407d6d3",
"origin_id": "018f9cb0-8d11-8143-d18c-5c6cd450b608",
"origin_type": "none",
"reconciliation_id": "018f9cb0-8d11-8143-d18c-5c6cd450b608",
"stages": [
{
"error_code": null,
"error_message": null,
"id": "018f9cb0-8d37-031e-8b99-bac2919a5033",
"timestamp": "2024-05-21T19:46:07.285344Z",
"type": "created"
}
],
"status": "created",
"timestamp": "2024-05-21T19:46:07.249436Z",
"to_virtual_account_id": "018f9cb0-8d11-53ba-0550-54933e15377b",
"transaction_date": "2024-05-21T19:46:07.249436Z"
}
}{
"error": {
"error_code": "UNAUTHORIZED",
"error_message": "Invalid credentials"
}
}{
"error": {
"error_code": "INTEGRATION_ERROR",
"error_message": "An unexpected issue occurred"
}
}Transfers
Get Transfer
Get a transfer document
GET
/
banking
/
cashout
/
transfer
/
{id}
Get a transfer document
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Document UUID Unique identifier
Response
Document
Transfer document response
Transfer document schema
Show child attributes
Show child attributes
Example:
{
"amount": { "amount": 100, "currency": "BRL" },
"bank_account_id": "018f9cb0-8d11-72dd-bb14-f82554e80999",
"description": "description",
"external_id": "external_id",
"from_virtual_account_id": "018f9cb0-8d11-72dd-bb14-f82554e80999",
"id": "018f9cb0-8d11-f5da-31a1-0c243407d6d3",
"origin_id": "018f9cb0-8d11-8143-d18c-5c6cd450b608",
"origin_type": "none",
"reconciliation_id": "018f9cb0-8d11-8143-d18c-5c6cd450b608",
"stages": [
{
"error_code": null,
"error_message": null,
"id": "018f9cb0-8d37-031e-8b99-bac2919a5033",
"timestamp": "2024-05-21T19:46:07.285344Z",
"type": "created"
}
],
"status": "created",
"timestamp": "2024-05-21T19:46:07.249436Z",
"to_virtual_account_id": "018f9cb0-8d11-53ba-0550-54933e15377b",
"transaction_date": "2024-05-21T19:46:07.249436Z"
}
⌘I

